#include <iostream>
#include <fstream>
#include <filesystem>

namespace fs = std::filesystem;

int main() {
    std::string sourcePath = "SETTING.INI";
    const char* appDataPath = std::getenv("APPDATA");
    std::string destinationPath = std::string(appDataPath) + "\\SEGA\\MegaCollectionPlus";
    std::string destinationFilePath = destinationPath + "\\SETTING.INI";

    // ...

    // Check if the destination file exists
    if (fs::exists(destinationFilePath)) {
        // Remove the existing destination file
        try {
            fs::remove(destinationFilePath);
            std::cout << "Existing destination file removed." << std::endl;
        } catch (const std::filesystem::filesystem_error& e) {
            std::cerr << "Failed to remove the existing destination file: " << e.what() << std::endl;
            system("pause");
            return 1;
        }
    }

    // ...

    // Copy the source file to the destination
    try {
        fs::copy_file(sourcePath, destinationFilePath);
        std::cout << "File copied to " << destinationFilePath << " successfully." << std::endl;
        system("pause");
    } catch (const std::filesystem::filesystem_error& e) {
        std::cerr << "Failed to copy the file: " << e.what() << std::endl;
        system("pause");
        return 1;
    }

    // ...

    return 0;
}